Procedure footer()
  If pdf_GetNumberingFooter() = #False 
    ProcedureReturn
  EndIf
  pdf_SetY(-15)
  pdf_SetFont("Arial","I",8)
  pdf_Cell(0,7,Str(pdf_NumPageNum()),0,0,#PDF_ALIGN_CENTER)
  If pdf_GetNumbering() = #False 
    pdf_SetNumberingFooter(#False)
  EndIf
EndProcedure
	
pdf_Create()
pdf_SetProcFooter(@footer())
pdf_SetFont("Times","",12)
pdf_AddPage()
pdf_Cell(0,5,"Cover",0,1,#PDF_ALIGN_CENTER)
pdf_AddPage()
pdf_StartPageNums()
pdf_Cell(0,5,"TOC1",0,1,#PDF_ALIGN_LEFT)
pdf_TOCEntry("TOC1", 0)
pdf_Cell(0,5,"TOC1.1",0,1,#PDF_ALIGN_LEFT)
pdf_TOCEntry("TOC1.1", 1)
pdf_AddPage()
pdf_Cell(0,5,"TOC2",0,1,#PDF_ALIGN_LEFT)
pdf_TOCEntry("TOC2", 0)
pdf_AddPage()
For i=3 To 80
  pdf_Cell(0,5,"TOC" + Str(i),0,1,#PDF_ALIGN_LEFT)
	pdf_TOCEntry("TOC" + Str(i), 0)
Next
pdf_StopPageNums()
pdf_AddPage()
pdf_Cell(0,5,"Unnumbered page",0,1,#PDF_ALIGN_LEFT)

;Generate and insert TOC at page 2
pdf_InsertTOC(2)
pdf_Save("Tutorial23 Toc.pdf")
; IDE Options = PureBasic 4.20 (Windows - x86)
; CursorPosition = 37
; Folding = -